Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.edit
Class NodeSelection

    java.lang.Object
      de.grogra.pf.ui.edit.SelectionBase
          de.grogra.pf.ui.edit.FieldSelection
              de.grogra.pf.ui.edit.NodeSelection

All Implemented Interfaces:
  GraphSelection, Selection, Described

    public class NodeSelection

extends FieldSelection
implements GraphSelection

Field Summary

Fields inherited from class de.grogra.pf.ui.edit.SelectionBase
`context`

Fields inherited from interface de.grogra.pf.ui.edit.Selection
`DELETABLE, HIERARCHICAL, TRANSFERABLE`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`NodeSelection(Context ctx, Node object, PersistenceField[] fields, int[][] indices, PropertyEditor[] editors, java.lang.String[] labels, Item description, boolean invokeValueForPathChanged)`

Method Summary
`boolean` | `contains(Graph graph, java.lang.Object object, boolean asNode)`
`protected FieldProperty` | `createProperty(Context c, int i)`
`protected PropertyEditorTree` | `createTree()`
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.
`GraphState` | `getGraphState(int index)`
`java.lang.Object` | `getObject(int index)`
`boolean` | `isNode(int index)`
`int` | `size()`

Methods inherited from class de.grogra.pf.ui.edit.FieldSelection
`createPropertyNodes, createPropertyNodesInGroup, equals, getEditorFor, getHierarchySource, getHierarchySourceRoot, getLabelFor, getProperties`

Methods inherited from class de.grogra.pf.ui.edit.SelectionBase
`createPropertyEditorComponent, createPropertyEditorMenu, createPropertyNodes, delete, getCapabilities, getContext, remove, toTransferable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.pf.ui.edit.Selection
`createPropertyEditorComponent, createPropertyEditorMenu, delete, getCapabilities, getContext, toTransferable`

Constructor Detail

### NodeSelection

    public NodeSelection(Context ctx,
                         Node object,
                         PersistenceField[] fields,
                         int[][] indices,
                         PropertyEditor[] editors,
                         java.lang.String[] labels,
                         Item description,
                         boolean invokeValueForPathChanged)

Method Detail

### contains

    public boolean contains(Graph graph,
                            java.lang.Object object,
                            boolean asNode)

  Specified by:
    `contains` in interface `GraphSelection`

### createProperty

    protected FieldProperty createProperty(Context c,
                                           int i)

  Specified by:
    `createProperty` in class `FieldSelection`

### createTree

    protected PropertyEditorTree createTree()

  Specified by:
    `createTree` in class `SelectionBase`

### getDescription

    public java.lang.Object getDescription(java.lang.String type)

  Description copied from interface: `Described`
  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Specified by:
    `getDescription` in interface `Described`
  Overrides:
    `getDescription` in class `FieldSelection`
  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

### getGraphState

    public GraphState getGraphState(int index)

  Specified by:
    `getGraphState` in interface `GraphSelection`

### getObject

    public java.lang.Object getObject(int index)

  Specified by:
    `getObject` in interface `GraphSelection`

### isNode

    public boolean isNode(int index)

  Specified by:
    `isNode` in interface `GraphSelection`

### size

    public int size()

  Specified by:
    `size` in interface `GraphSelection`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD